STRUCTS_TYPE_IP6(3)

NAME
structs_type_ip6 - structs types for IPv6 addresses

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <sys/types.h>
#include <pdel/structs/structs.h>
#include <pdel/structs/type/ip6.h>
extern const struct structs_type structs_type_ip6;

DESCRIPTION
structs_type_ip6 is a structs(3) type for IPv6 addresses. The represented data type is a struct in6_addr.

IMPLEMENTATION NOTES
The ASCII string parser for this type is inet_pton(3).

SEE ALSO
libpdel(3), structs(3), structs_type(3), structs_type_ip4(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@packetdesign.com>